Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

0.95.0 #24776

Merged
merged 322 commits into from Jun 26, 2019

Conversation

@balloob
Copy link
Member

commented Jun 26, 2019

New Integrations

New Platforms

Breaking Changes

Beta Fixes

All changes

balloob and others added 30 commits Jun 4, 2019
Create progress file for pip installs (#24297)
* Create progress file for pip installs

* fix dedlock

* unflacky test

* Address comments

* Lint

* Types
Expose specific device_class for Velux covers (#24279)
* Update cover.py

Blinds, Rollingshutters and Awnings did not set their respective device_class attribute
Previously they would all appear as device_class "window"

* fallback device class is always 'window'

fallback device class is always 'window' in the event we have an unknown cover type

* trailing whitespace removed, trimmed as well

* Update cover.py
Fix OwnTracks race condition (#24303)
* Fix OwnTracks race condition

* Lint
Change meteoalertapi to version 0.1.3 (#24307)
* Change meteoalertapi to version 0.1.3

* Add requirements_all.txt file
Add support for learning new commands (#23888)
* Add support for learning new commands

This update creates a generic service in the 'remote' component to enable remote control platforms to learn new commands.

* Update __init__.py with the proposed changes

- Add 'supported_features' property and a constant related to the 'learn_command' functionality.
- Redefine 'async_learn_command' function as a coroutine.

* Update __init__.py

* Fix assertion error

Adding the 'supported_features' attribute generated an assertion error on the 'Demo Remote' platform. This update fixes this.

* Fix duplicated 'hass' object

This update fixes a typo that occurred at the last update.
SolarEdge Local Component (#23996)
* Basic local SolarEdge monitoring for energy / power

* Basic local SolarEdge monitoring for energy / power

* generated CODEOWNERS, requirements, excluded tests

* generated CODEOWNERS, requirements, excluded tests

* lint fixes, etc

* lint fixes, etc

* Fix docstyle for init

Of course thats the file I forgot to run tests on

* Load all sensors by default

They use the same API endpoint.  This changes was made per home-assistant/architecture#244

* remve unneded date/time

* ran hassfest again

* add throttle when updating

* readd solax, mistakenly removed

* Update sensor.py
Bump simplipy to 3.4.2 (#24326)
* Bump simplipy to 3.4.2

* Updated requirements
Meteofrance fix 24244 (#24315)
* Update meteofrance package version

Fix #24244

* Add code owner to manifest

* Update CODEOWNERS
Only update media icon when necessary (#24324)
* Only update media icon when necessary

* Lint

* Comment
Add exception handling for Netatmo climate (#24311)
* Add exception handling

* Make pylint happy
Use node descriptor from Zigpy for ZHA (#24316)
* use zigpy node descriptor

* cleanup

@ghost ghost assigned frenck Jun 26, 2019

@home-assistant home-assistant deleted a comment Jun 26, 2019

@balloob balloob merged commit 4dbfafa into master Jun 26, 2019

12 checks passed

build Workflow: build
Details
ci/circleci: pre-install-all-requirements Your tests passed on CircleCI!
Details
ci/circleci: pre-test 3.5.5 Your tests passed on CircleCI!
Details
ci/circleci: pre-test 3.6 Your tests passed on CircleCI!
Details
ci/circleci: pre-test 3.7 Your tests passed on CircleCI!
Details
ci/circleci: pylint Your tests passed on CircleCI!
Details
ci/circleci: static-check Your tests passed on CircleCI!
Details
ci/circleci: test 3.5.5 Your tests passed on CircleCI!
Details
ci/circleci: test 3.6 Your tests passed on CircleCI!
Details
ci/circleci: test 3.7 Your tests passed on CircleCI!
Details
codecov/patch No report found to compare against
Details
codecov/project 94.09% (target 90%)
Details
@pascalsaul

This comment has been minimized.

Copy link

commented on d041c62 Jun 26, 2019

Oh that's why I can't close and open my HorizontalAwning anymore by the arrows.

I can only open and close it by changing the position to 0 or 100 now since 0.95 and not with the arrow up and down.

So why is this changed?

Debug information: cover.awning_back | closed | current_position: 0 (=cover closed)

This comment has been minimized.

Copy link
Member

replied Jun 27, 2019

@pascalsaul Please do not comment on closed merge requests or commits. That is not trackable and productive.
Create an issue on the GitHub repository instead.

Thanks already!

@jgracio

This comment has been minimized.

Copy link

commented on 20ba80f Jul 18, 2019

Hi
I don't know if I'm dropping this comment on the wrong place but I couldn't find another one.

I have been working with asuswrt on Home Assistant and now it is stopping several times per day disbling the linked automation.

Can you please help me or let me know who should I contact to learn how to get this fixed?

Thanks

The error I get is on HA log file is:
`2019-07-17 21:08:05 ERROR (MainThread) [aioasuswrt.connection] Host timeout.
2019-07-17 21:08:05 ERROR (MainThread) [homeassistant.core] Error doing job: Task exception was never retrieved
Traceback (most recent call last):
File "/usr/local/lib/python3.7/site-packages/aioasuswrt/connection.py", line 38, in async_run_command
"%s && %s" % (_PATH_EXPORT_COMMAND, command)), 9)
File "/usr/local/lib/python3.7/asyncio/tasks.py", line 423, in wait_for
raise futures.TimeoutError()
concurrent.futures._base.TimeoutError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/src/homeassistant/homeassistant/components/device_tracker/setup.py", line 150, in async_device_tracker_scan
found_devices = await scanner.async_scan_devices()
File "/usr/src/homeassistant/homeassistant/components/asuswrt/device_tracker.py", line 36, in async_scan_devices
await self.async_update_info()
File "/usr/src/homeassistant/homeassistant/components/asuswrt/device_tracker.py", line 52, in async_update_info
self.last_results = await self.connection.async_get_connected_devices()
File "/usr/local/lib/python3.7/site-packages/aioasuswrt/asuswrt.py", line 166, in async_get_connected_devices
dev = await self.async_get_wl()
File "/usr/local/lib/python3.7/site-packages/aioasuswrt/asuswrt.py", line 102, in async_get_wl
lines = await self.connection.async_run_command(_WL_CMD)
File "/usr/local/lib/python3.7/site-packages/aioasuswrt/connection.py", line 48, in async_run_command
del self._client
AttributeError: _client`

This comment has been minimized.

Copy link
Member

replied Jul 18, 2019

Hi there @jgracio! Please do not comment on closed PR's or commits. Instead, open up an issue on GitHub in case you suspect an issue or go to our forums or hop on to Discord chat for support.

Thanks! 👍

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
You can’t perform that action at this time.